package fr.ippon.kata.wrapper;

public class Wrapper {

    private static final String BREAK = "\n";
    private int columns;

    private Wrapper(int columns) {
        this.columns = columns;
    }

    public static String wrap(String sentence, int columns) {
        return new Wrapper(columns).wrap(sentence);
    }

    private String wrap(String sentence) {
        if (isShortEnough(sentence)) {
            return sentence;
        }

        String left = sentence.substring(0, columns);
        String right = sentence.substring(columns);

        if (right.startsWith(" ")) {
            return join(left, right.substring(1, right.length()));
        }

        if (left.contains(" ")) {
            int spaceIndex = left.lastIndexOf(" ");
            return join(sentence.substring(0, spaceIndex),
                    sentence.substring(spaceIndex + 1));
        }

        return join(left, right);
    }

    private boolean isShortEnough(String sentence){
        return sentence == null  || sentence.length() <= columns;
    }

    private String join(String left, String right){
        return left + BREAK + wrap(right,columns);
    }
}
