package wrapper;

import org.junit.jupiter.api.Test;

import java.util.Arrays;
import java.util.stream.Collectors;

import static fr.ippon.kata.wrapper.Wrapper.wrap;
import static org.assertj.core.api.Assertions.*;

class WrapperTest {

    @Test
    void shouldNotWrapWithoutSentence(){
        assertThat(wrap(null,4)).isNull();
    }

    @Test
    void shouldNotWrapShortEnoughSentence(){
        assertThat(wrap("Once",4)).isEqualTo("Once");
    }

    @Test
    void shouldWrapBySplittingWord(){
        assertThat(wrap("Once",2)).isEqualTo("On\nce");
    }

    @Test
    void shouldWrapBySplittingWordMultipleItems(){
        assertThat(wrap("Once",1))
                .isEqualTo(join("O","n","c","e"));
    }

    @Test
    void shouldWrapAfterWord(){
        assertThat(wrap("Once uppon a time",10))
                .isEqualTo(join("Once uppon","a time"));
    }

    private static String join (String... parts){
        return Arrays.stream(parts)
                .collect(Collectors.joining("\n"));
    }

}